#include "z80free/Z80free.h"
#include "computer.h"
#include "emulator.h"

struct z80snapshot {

  byte A,F,B,C,D,E,H,L,AA,FF,BB,CC,DD,EE,HH,LL,R,I,IFF1,IFF2,Imode,issue;
  word PC,IX,IY,SP;
  byte type; // bit 0/1: 48K/128K/+3
  byte border; // border color
  byte pager; // content of pagination register in 128K mode
  unsigned char page[12][16384];
  unsigned int found_pages; // bit=1: page exists. bit=0: page don't exists.
  unsigned char ay_regs[16];
  unsigned char ay_latch;
  unsigned char joystick;

};

int save_z80(char *);
int load_z80(char *);
int load_sna(char *);
void load_snap(struct z80snapshot *);
void uncompress_z80(FILE *,int,unsigned char *);
